//============================================================================
// control/client/client.cs
//  Copyright (c) 2003, 2006 by Kenneth C. Finney.
//============================================================================
function LaunchGame()
{
	 StopMusic();
  /// createServer("SinglePlayer", "control/data/maps/book_ch6.mis");
   createServer("SinglePlayer", "control/data/maps/trackB.mis");
   %conn = new GameConnection(ServerConnection);
   %conn.setConnectArgs("Reader");
   %conn.connectLocal();
}
function ShowMenuScreen()
{
   // Start up the client with the menu...
   Canvas.setContent( MenuScreen );
   Canvas.setCursor("DefaultCursor");
}
function SplashScreenInputCtrl::onInputEvent(%this, %dev, %evt, %make)
{
   if(%make)
   {
     ShowMenuScreen();
   }
}
//============================================================================
// stubs
//============================================================================
function onServerMessage()
{
}
function onMissionDownloadPhase1()
{
}
function onPhase1Progress()
{
}
function onPhase1Complete()
{
}
function onMissionDownloadPhase2()
{
}
function onPhase2Progress()
{
}
function onPhase2Complete()
{
}
function onPhase3Complete()
{
}
function onMissionDownloadComplete()
{
}
